using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Default2 : System.Web.UI.Page
{
	private string subscriptionId = ConfigurationManager.AppSettings["Amazon.Webservice.SubscriptionId"].ToString();
	private string associateId = ConfigurationManager.AppSettings["Amazon.Associates.ID"].ToString();
	public string indexId;
	private string searchIndex;

	protected void Page_Load(object sender, EventArgs e)
	{
		try
		{
			searchIndex = Request.QueryString["searchindex"];
			string _browsenode = Request.QueryString["browsenode"];
			indexId = Request.QueryString["indexid"];
			lblSearchIndex.Text = ":: " + searchIndex + " ::";
			Page.Title = "DNK Amazon Store :: " + searchIndex;
			LoadSubCategory(_browsenode);
			GetNewReleases(_browsenode);
			GetTopSellers(_browsenode);
		}
		catch
		{
			lblErrMsg.Text = "An error occured while processing your request. Please try again later.";
		}
	}

	public void LoadSubCategory(string nodeId)
	{
		NodeChildrenRequest req = new NodeChildrenRequest();
		req.SubscriptionId = subscriptionId;
		req.AssociateTag = associateId;

		DataTable childrenTable = req.GetNodeChildren(nodeId, true);

		DataView dv = new DataView(childrenTable);
		dtlstSubMenu.DataSource = dv;
		dtlstSubMenu.DataBind();
	}

	private void GetNewReleases(string nodeId)
	{
		lblNewRelease.Text = "New releases in " + searchIndex;
		NewReleasesRequest req = new NewReleasesRequest();
		req.SubscriptionId = subscriptionId;
		req.AssociateTag = associateId;

		DataTable newReleasesTable = req.GetNewReleases(nodeId, true);

		DataView dv = new DataView(newReleasesTable);
		rptrNewReleases.DataSource = dv;
		rptrNewReleases.DataBind();
	}
	private void GetTopSellers(string nodeId)
	{
		lblBestSellers.Text = "BestSellers in " + searchIndex;
		TopSellersRequest req = new TopSellersRequest();
		req.SubscriptionId = subscriptionId;
		req.AssociateTag = associateId;

		DataTable topSellersTable = req.GetTopSellers(nodeId, true);

		DataView dv = new DataView(topSellersTable);
		rptrTopSeller.DataSource = dv;
		rptrTopSeller.DataBind();
	}
}
